#pragma once

#include "WimaAreaData.h"

class SnakeTile : public WimaAreaData
{
public:
    SnakeTile();
    SnakeTile(const SnakeTile&other);

    QString type() const {return "SnakeTile";}
    SnakeTile* Clone() const {return new SnakeTile(*this);}

    SnakeTile& operator=(const SnakeTile &other);

protected:
    void assign(const SnakeTile &other);
};

